<?php

namespace App\Http\Controllers;

use App\Product ;
use Illuminate\Http\Request;
use Illuminate\Routing\Route;

class ProductController extends Controller
{
    public function __construct()
    {
        //
    }

    /**
     * Danh sách sản phẩm
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index()
    {
        // Lấy data ra
        $handovers = Product::all();
        // Đẩy data ra view
        return view('product.list', ['handovers' => $handovers]);


        $employees = Employee::all();

        // Đẩy data ra view
        return view('product.employee', ['employees' => $employees]);

    }
    

    /**
     * Form tạo mới sản phẩm
     */
    public function create()
    {
        return view('product.create');
    }


    /**
     * Hàm xử lý thêm mới
     *
     * @param Request $request
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function store(Request $request)
    {   
        // $validator = Validator::make(
        //     $request->all(),
        //     [
        //         'code' => 'required',
        //         'sender_id' => 'required',
        //         'receiver_id' => 'required',
        //         'device_id' => 'required',
        //         'department_id' => 'required',
        //         'name' => 'required',
        //         'date' => 'required',

        //     ],
        //     [
        //         'code.required' => 'Bắt buộc nhập mã bàn giao',
        //         'sender_id.required' => 'Bắt buộc nhập tên người bàn giao',
        //         'code.unique' => 'Mã bàn giao đã tồn tại',
                
        //     ]
        // );

        // if ($validator->fails()) {
        //     return redirect('products/create')
        //         ->withErrors($validator)
        //         ->withInput();
        // }


        $params['code'] = request('code');
        $params['sender_id'] = request('sender_id');
        $params['receiver_id'] = request('receiver_id');
        $params['device_id'] = request('device_id');
        $params['department_id'] = request('department_id');
        $params['status'] = request('status');
        $params['notes'] = request('notes');
        $params['name'] = request('name');
        $params['date'] = request('date');

        // Lưu sản phẩm
        $handovers = new Product();
        $handovers->fill($params);
        $handovers->save();

        // Điều hướng về trang danh sách
        return redirect('/products');
    }
    /**
     * Form cập nhật sản phẩm
     *
    //  * @param Request $request
    //  * @param $id
    //  * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
      */
    public function edit(Request $request, $id)
    {
        $product = Product::find($id);
        if ($product) {
            return view('product.edit', ['product' => $product]);
        } else {
            echo 'Không tìm thấy thông tin sản phẩm';
        }
    }

    // /**
    //  * Hàm xử lý cập nhật thông tin sản phẩm
    //  *
    //  * @param Request $request
    //  * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
    //  */
    // public function update(Request $request)
    // {
    //     $params['id'] = request('id');
    //     $params['name'] = request('name');
    //     $params['sku'] = request('sku');
    //     $params['price'] = request('price');
    //     $params['info'] = request('info');

    //     //$product = new Product();

    //     if ($params['id']) {
    //         $product = Product::find($params['id']);
    //         if ($product) {
    //             $product->name = $params['name'];
    //             $product->sku = $params['sku'];
    //             $product->price = $params['price'];
    //             $product->info = $params['info'];

    //             $product->save();

    //             return redirect('/products');
    //         } else {
    //             // Không tìm thấy sp
    //             return redirect('/products');
    //         }
    //     } else {
    //         // Lỗi thiếu tham số
    //         return redirect('/products');
    //     }


    // }

    // /**
    //  * Hiển thị form xác nhận xóa không
    //  * Lấy thông tin sp theo id của nó
    //  *
    //  * @param Request $request
    //  * @param $id
    //  * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
    //  */
    // public function remove(Request $request, $id)
    // {
    //     $product = Product::find($id);
    //     if ($product) {
    //         return view('product.remove', ['product' => $product]);
    //     } else {
    //         echo 'Không tìm thấy thông tin sản phẩm';
    //     }
    // }

    // /**
    //  * Hàm thực hiện xóa 1 sản phẩm
    //  *
    //  * @param Request $request
    //  * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
    //  */
    // public function delete(Request $request)
    // {
    //     $id = request('id');
    //     $product = Product::find($id);
    //     if ($product) {
    //         $product->delete();
    //         return redirect('/products');
    //     } else {
    //         echo 'Không tìm thấy thông tin sản phẩm để xóa';
    //     }
    // }

}
