<?php

namespace App\Http\Controllers;

use App\User;
use Illuminate\Http\Request;
use Illuminate\View\View;

class UserController extends Controller
{
    //

    public function index()
    {
        //echo 'UserController: ' . __FUNCTION__;

        $users = User::all();

        $temp = [];
        foreach ($users as $user){
            $temp[] = [
                'id' => $user->id,
                'name' => $user->name
            ];
        }

        //echo '<pre>';
        //print_r($users);
        //print_r($temp);
        //echo '</pre>';

        return view('user.list', ['users' => $users]);

    }
}
