<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    {{--<link rel="icon" href="../../../../favicon.ico">--}}

    <title>Album example for Bootstrap</title>

    <!-- Bootstrap core CSS -->
    <link href="<?php echo asset('css/bootstrap.min.css') ?>" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="<?php echo asset('css/album.css') ?>" rel="stylesheet">
</head>
<body>
<main role="main">
    <div class="album py-5 bg-light">
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <form method="post" action="{{ route('product_delete') }}">
                        <div class="form-group">
                            <h3>Xác nhận xóa sản phẩm</h3>
                            <p style="color: red">Bạn có chắc chắn xóa sản phẩm này không?</p>
                            @csrf
                            <input type="hidden" name="id" value="{{ $product->id }}">
                        </div>
                        {{-- Tên sản phẩm --}}
                        <div class="form-group">
                            <label for="name">Tên sản phẩm</label>
                            <input type="text" class="form-control" id="name" name="name" value="{{ $product->name }}" readonly>
                        </div>
                        {{-- Mã sản phẩm --}}
                        <div class="form-group">
                            <label for="name">Mã sản phẩm</label>
                            <input type="text" class="form-control" id="sku" name="sku" value="{{ $product->sku }}" readonly>
                        </div>
                        {{-- Giá sản phẩm --}}
                        <div class="form-group">
                            <label for="name">Giá sản phẩm</label>
                            <input type="number" class="form-control" id="price" name="price" value="{{ $product->price }}" readonly>
                        </div>
                        {{-- Thông tin sản phẩm --}}
                        <div class="form-group">
                            <label for="name">Mã sản phẩm</label>
                            <textarea class="form-control" id="info" name="info" readonly>{{ $product->info }}</textarea>
                        </div>
                        <button type="submit" class="btn btn-danger">Đồng ý xóa</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</main>
<footer class="text-muted">
    <div class="container">
        <p class="float-right">
            <a href="#">Back to top</a>
        </p>
        <p>Album example is &copy; Bootstrap, but please download and customize it for yourself!</p>
        <p>New to Bootstrap? <a href="../../">Visit the homepage</a> or read our <a href="../../getting-started/">getting started guide</a>.</p>
    </div>
</footer>

<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script>window.jQuery || document.write('<script src="../../../../assets/js/vendor/jquery-slim.min.js"><\/script>')</script>
<script src="../../../../assets/js/vendor/popper.min.js"></script>
<script src="../../../../dist/js/bootstrap.min.js"></script>
<script src="../../../../assets/js/vendor/holder.min.js"></script>
</body>
</html>

